[arch-commits] CVS update of extra/network/netdude (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Jun 28 16:01:53 EDT 2007


    Date: Thursday, June 28, 2007 @ 16:01:53
  Author: jgc
    Path: /home/cvs-extra/extra/network/netdude

Modified: PKGBUILD (1.9 -> 1.10)

upgpkg: netdude 0.4.7-1
Clean up PKGBUILD, build for i686


----------+
 PKGBUILD |   17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)


Index: extra/network/netdude/PKGBUILD
diff -u extra/network/netdude/PKGBUILD:1.9 extra/network/netdude/PKGBUILD:1.10
--- extra/network/netdude/PKGBUILD:1.9	Tue Jun  5 15:29:04 2007
+++ extra/network/netdude/PKGBUILD	Thu Jun 28 16:01:53 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.9 2007/06/05 19:29:04 andyrtr Exp $
+# $Id: PKGBUILD,v 1.10 2007/06/28 20:01:53 jgc Exp $
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=netdude
@@ -8,16 +8,15 @@
 arch=('i686' 'x86_64')
 license=('custom')
 depends=('libnetdude>=0.9' 'gtk' 'fam')
-source=(http://downloads.sourceforge.net/netdude/$pkgname-$pkgver.tar.gz)
+options=('!libtool' '!makeflags')
+source=(http://downloads.sourceforge.net/netdude/${pkgname}-${pkgver}.tar.gz)
 url="http://netdude.sourceforge.net/"
 md5sums=('d0cfe2dd6af254f228fa22a0ddb9dcb6')
-options=(!libtool)
 
 build() {
-	export MAKEFLAGS="-j1"
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr
-	make || return 1
-	make prefix=$startdir/pkg/usr install
-	install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
 }




More information about the arch-commits mailing list